var _jsxFileName = "/var/apps/ah-form-builder/src/utils/Tabs/SimpleTabs.js";
import React from 'react';
import { makeStyles } from '@material-ui/core/styles';
import Tabs from '@material-ui/core/Tabs';
import Tab from '@material-ui/core/Tab';
import Paper from '@material-ui/core/Paper';
var useStyles = makeStyles(function (theme) {
  return {
    root: {
      flexGrow: 1,
      backgroundColor: theme.palette.background.paper
    }
  };
});
export default function SimpleTabs(props) {
  var _this = this;

  var value = props.value,
      handleChange = props.handleChange,
      options = props.options;
  var classes = useStyles();
  return /*#__PURE__*/React.createElement("div", {
    className: classes.root,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(Paper, {
    square: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 7
    }
  }, /*#__PURE__*/React.createElement(Tabs, {
    variant: "fullWidth",
    value: value,
    indicatorColor: "primary",
    textColor: "primary",
    onChange: handleChange,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 9
    }
  }, options.map(function (option) {
    return /*#__PURE__*/React.createElement(Tab, {
      key: "tab-" + option.value,
      value: option.value,
      label: option.label,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 29,
        columnNumber: 13
      }
    });
  }))));
}