"use strict";

exports.__esModule = true;
exports["default"] = FileWrapper;

var _react = _interopRequireDefault(require("react"));

var _TextInput = _interopRequireDefault(require("../../../utils/inputs/TextInput"));

var _fileUpload = _interopRequireDefault(require("../../../utils/file-upload"));

var _jsxFileName = "/var/apps/ah-form-builder/src/components/app/fields-wrappers/File.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function FileWrapper(props) {
  return /*#__PURE__*/_react["default"].createElement(_fileUpload["default"], {
    label: props.data.name,
    helperText: props.data.config.helpText,
    placeholder: props.data.config.placeholder,
    required: props.data.config.isRequired,
    uploadable: false,
    isMultiple: props.data.config.isMultiple,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 6,
      columnNumber: 5
    }
  });
}

module.exports = exports.default;