var _this = this,
    _jsxFileName = "/var/apps/ah-form-builder/src/components/app/DroppableField.js";

import React, { useEffect, useState } from 'react';
export default (function (props) {
  var _useState = useState(false),
      dragOver = _useState[0],
      setDragOver = _useState[1];

  var _onDragOver = function onDragOver(e) {
    e.preventDefault();
    setDragOver(true);
  };

  var _onDragLeave = function onDragLeave(e) {
    setDragOver(false);
  };

  var dropCallback = function dropCallback() {
    setDragOver(false);
  };

  return /*#__PURE__*/React.createElement("div", {
    onDragOver: function onDragOver(e) {
      _onDragOver(e);
    },
    onDrop: function onDrop(e) {
      props.onDrop(e, props.order, dropCallback);
    },
    onDragLeave: function onDragLeave(e) {
      _onDragLeave(e);
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: dragOver ? " droppable-border-active " : '',
    style: {
      height: dragOver ? 70 : 10
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 9
    }
  }));
});